import { Component, signal } from '@angular/core';
import { RouterOutlet } from '@angular/router';
import { AuthService } from 'fmode-ng';

@Component({
  selector: 'app-root',
  standalone: true,
  imports: [RouterOutlet],
  templateUrl: './app.html',
  styleUrl: './app.scss'
})
export class App {
  protected readonly title = signal('yss-project');
  constructor(private authServ:AuthService){
    this.initAuthServ();
  }
  initAuthServ(){
    // this.authServ.LoginPage = "/pcuser/E4KpGvTEto/login" // 登录时默认为用户名增加飞码AI账套company前缀
    this.authServ.init({
      company:"E4KpGvTEto", // 登录时默认为用户名增加飞码AI账套company
      guardType: "modal", // 设置登录守卫方式
    })
    this.authServ.logoUrl = document.baseURI+"/assets/logo.jpg"
  }
}